Subject: Re: Problem authenticating using WPA with bcm43xx-softmac

From: Larry Finger <[email-masked]>
Date: Wed, 07 Jun 2006 14:46:22 -0500

Dan Williams wrote:
> Weird, does the kernel not do something that fprintf() _does_ do here?
> I tested with a short C program that mimics the behavior of this chunk
> of code, and "%.2x" didn't work, but "%.2hhx" certainly did.  "hh" is
> supposed to mean "A following integer conversion corresponds to a signed
> char or unsigned char argument".  The original conversion was converting
> stuff from la-la land after the first 4 bytes (in both softmac and my
> testcase), and "hh" solved it in the testcase.  I did try casting to
> char, but glibc pretty much ignored that.

I also found that casting with char gave the same result as no cast, but that a u8 cast worked. I 
guess printk is _almost_ like fprintf.

Larry